import 'dart:ui';

class HashTagModel {
  late String hashtagName;
  late String hashtagTranslation;
  late int id;
  bool select = false;

  HashTagModel({required this.id, required this.hashtagName, required this.hashtagTranslation});

  HashTagModel.fromJson(Map<String, dynamic> json) {
    hashtagName = json['hashtagName'];
    hashtagTranslation = json['hashtagTranslation'] ?? '';
    id = json['id'];
  }

  HashTagModel.empty() {
    id = 0;
    hashtagTranslation = '';
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['hashtagName'] = this.hashtagName;
    data['hashtagTranslation'] = this.hashtagTranslation;
    data['id'] = this.id;
    return data;
  }
}
