class History {
  int? id;
  String? publicName;
  int? proIdOwner;
  int? createdAt;
  String? beerName;
  int? quantity;
  double? amount;
  String? currency;

  History(
      {this.id,
      this.publicName,
      this.proIdOwner,
      this.createdAt,
      this.beerName,
      this.quantity,
      this.amount,
      this.currency});

  History.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["publicName"] is String) this.publicName = json["publicName"];
    if (json["proIdOwner"] is int) this.proIdOwner = json["proIdOwner"];
    if (json["createdAt"] is int) this.createdAt = json["createdAt"];
    if (json["beerName"] is String) this.beerName = json["beerName"];
    if (json["quantity"] is int) this.quantity = json["quantity"];
    if (json["amount"] is double) this.amount = json["amount"];
    if (json["currency"] is String) this.currency = json["currency"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["publicName"] = this.publicName;
    data["proIdOwner"] = this.proIdOwner;
    data["createdAt"] = this.createdAt;
    data["beerName"] = this.beerName;
    data["quantity"] = this.quantity;
    data["amount"] = this.amount;
    data["currency"] = this.currency;
    return data;
  }
}
