class SpecCatModel {
  late String specName;
  late String specTranslation;
  late int id;
  bool select = false;

  SpecCatModel({required this.id, required this.specName, required this.specTranslation});

  SpecCatModel.fromJson(Map<String, dynamic> json) {
    specName = json['specName'];
    specTranslation = json['specTranslation'] ?? '';
    id = json['id'];
  }

  SpecCatModel.empty() {
    id = 0;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['specName'] = this.specName;
    data['specTranslation'] = this.specTranslation;
    data['id'] = this.id;
    return data;
  }
}
