class UsernameAvailableResult {
  static const String AlreadyTaken = 'AlreadyTaken';
  static const String Available = 'Available';

  String? message;
  int? isPro;
  String? displayName;
  String? thumbnail;

  UsernameAvailableResult(
      {this.message, this.isPro, this.displayName, this.thumbnail});

  UsernameAvailableResult.fromJson(Map<String, dynamic> json) {
    message = json["message"];
    isPro = json["isPro"];
    displayName = json["displayName"];
    thumbnail = json["thumbnail"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["message"] = message;
    _data["isPro"] = isPro;
    _data["displayName"] = displayName;
    _data["thumbnail"] = thumbnail;
    return _data;
  }

  UsernameAvailableResult copyWith({
    String? message,
    int? isPro,
    String? displayName,
    String? thumbnail,
  }) =>
      UsernameAvailableResult(
        message: message ?? this.message,
        isPro: isPro ?? this.isPro,
        displayName: displayName ?? this.displayName,
        thumbnail: thumbnail ?? this.thumbnail,
      );
}
