
class CrmProject {
  int? id;
  String? label;
  int? createdBy;
  int? createdAt;
  int? updatedAt;

  CrmProject({this.id, this.label, this.createdBy, this.createdAt, this.updatedAt});

  CrmProject.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
    createdBy = json["createdBy"];
    createdAt = json["createdAt"];
    updatedAt = json["updatedAt"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["createdBy"] = createdBy;
    _data["createdAt"] = createdAt;
    _data["updatedAt"] = updatedAt;
    return _data;
  }

  CrmProject copyWith({
    int? id,
    String? label,
    int? createdBy,
    int? createdAt,
    int? updatedAt,
  }) => CrmProject(
    id: id ?? this.id,
    label: label ?? this.label,
    createdBy: createdBy ?? this.createdBy,
    createdAt: createdAt ?? this.createdAt,
    updatedAt: updatedAt ?? this.updatedAt,
  );
}