class TheMovieVideo {
  String? iso6391;
  String? iso31661;
  String? name;
  String? key;
  String? site;
  int? size;
  String? type;
  bool? official;
  String? publishedAt;
  String? id;

  TheMovieVideo(
      {this.iso6391,
      this.iso31661,
      this.name,
      this.key,
      this.site,
      this.size,
      this.type,
      this.official,
      this.publishedAt,
      this.id});

  TheMovieVideo.fromJson(Map<String, dynamic> json) {
    iso6391 = json["iso_639_1"];
    iso31661 = json["iso_3166_1"];
    name = json["name"];
    key = json["key"];
    site = json["site"];
    size = json["size"];
    type = json["type"];
    official = json["official"];
    publishedAt = json["published_at"];
    id = json["id"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["iso_639_1"] = iso6391;
    _data["iso_3166_1"] = iso31661;
    _data["name"] = name;
    _data["key"] = key;
    _data["site"] = site;
    _data["size"] = size;
    _data["type"] = type;
    _data["official"] = official;
    _data["published_at"] = publishedAt;
    _data["id"] = id;
    return _data;
  }

  TheMovieVideo copyWith({
    String? iso6391,
    String? iso31661,
    String? name,
    String? key,
    String? site,
    int? size,
    String? type,
    bool? official,
    String? publishedAt,
    String? id,
  }) =>
      TheMovieVideo(
        iso6391: iso6391 ?? this.iso6391,
        iso31661: iso31661 ?? this.iso31661,
        name: name ?? this.name,
        key: key ?? this.key,
        site: site ?? this.site,
        size: size ?? this.size,
        type: type ?? this.type,
        official: official ?? this.official,
        publishedAt: publishedAt ?? this.publishedAt,
        id: id ?? this.id,
      );
}
