class WalletInfo {
  int? id;
  String? walletUniqueId;
  int? lastUpdateLoadAt;
  int? lastUpdateDebitAt;
  double? totalTipsQuantity;
  double? totalOowooTokenQuantity;

  WalletInfo(
      {this.id,
      this.walletUniqueId,
      this.lastUpdateLoadAt,
      this.lastUpdateDebitAt,
      this.totalTipsQuantity,
      this.totalOowooTokenQuantity});

  WalletInfo.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["walletUniqueId"] is String) this.walletUniqueId = json["walletUniqueId"];
    if (json["lastUpdateLoadAt"] is int) this.lastUpdateLoadAt = json["lastUpdateLoadAt"];
    if (json["lastUpdateDebitAt"] is int) this.lastUpdateDebitAt = json["lastUpdateDebitAt"];
    if (json["totalTipsQuantity"] is double) this.totalTipsQuantity = json["totalTipsQuantity"];
    if (json["totalOowooTokenQuantity"] is double)
      this.totalOowooTokenQuantity = json["totalOowooTokenQuantity"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["walletUniqueId"] = this.walletUniqueId;
    data["lastUpdateLoadAt"] = this.lastUpdateLoadAt;
    data["lastUpdateDebitAt"] = this.lastUpdateDebitAt;
    data["totalTipsQuantity"] = this.totalTipsQuantity;
    data["totalOowooTokenQuantity"] = this.totalOowooTokenQuantity;
    return data;
  }
}
