import 'package:_private_core/_private_core.dart';
import '../resources.dart';

class MoveRepo {
  MoveRepo._();

  static MoveRepo? _instance;

  factory MoveRepo([AppApi? api]) {
    _instance ??= MoveRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future<List<MoveModel>> getOowooMoveProperties({categoryId = 8}) async {
    NetworkResponse response = await _api.getOowooMoveProperties(
        {'languageCode': appPrefs.languageCode, 'categoryId': categoryId});
    return response.data ?? [];
  }

  Future<List<ReminderType>> getReminderTypes() async {
    NetworkResponse response = await _api.getReminderTypes();
    return response.data ?? [];
  }
}
